Bug 437097 - system-config-network-cmd 329:main:NameError: global name 'ParseError' is not defined
system-config-network-cmd 329:main:NameError: global name 'ParseError' is not...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 09:20 EDT by Andreas Eichler
Modified: 2008-04-22 18:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.5.5-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 18:39:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Eichler 2008-03-12 09:20:24 EDT
Description of problem:

We are not able to set the network settings with the internal tool
"system-config-network" Everytime we run into serveral error.
See below:
[root@localhost ~]# /usr/bin/system-config-network-cmd -i -c < settings.txt 
Ein unerwarteter Zustand ist aufgetreten. Es handelt sich
hierbei wahrscheinlich um einen Programmfehler. Bitte erstellen
Sie einen detaillierten Fehlerbericht für die Komponente
system-config-network
unter https://bugzilla.redhat.com/bugzilla
und geben Sie untenstehenden Fehlerauszug an.
Component: system-config-network
Version: 1.4.7
Summary: TB /usr/sbin/system-config-network-cmd:329:main:NameError: global name
'ParseError' is not defined
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-cmd", line 329, in main
    pe = ParseError(_("Error parsing line: %s") % line)
NameError: global name 'ParseError' is not defined

Local variables in innermost frame:
profile: None
getHardwareList: <function getHardwareList at 0xb7b0325c>
lines: ['DeviceList.Ethernet.eth0.HardwareAddress=00:0C:29:5C:9A:0A\n',
'DeviceList.Ethernet.eth0.Type=Ethernet\n',
'DeviceList.Ethernet.eth0.BootProto=dhcp\n',
'DeviceList.Ethernet.eth0.Device=eth0\n',
'DeviceList.Ethernet.eth0.OnBoot=True\n',
'DeviceList.Ethernet.eth0.DeviceId=eth0\n',
'HardwareList.Ethernet.eth0.Status=Ok\n',
'HardwareList.Ethernet.eth0.Name=eth0\n',
'HardwareList.Ethernet.eth0.Type=Ethernet\n',
'HardwareList.Ethernet.eth0.Card.ModuleName=pcnet32\n',
'HardwareList.Ethernet.eth0.Description=Advanced Micro Devices [AMD] 79c970
[PCnet32 LANCE]\n', 'ProfileList.default.ActiveDevices.1=eth0\n',
'ProfileList.default.HostsList.1.IP=127.0.0.1\n',
'ProfileList.default.HostsList.1.Hostname=localhost.localdomain\n',
'ProfileList.default.HostsList.1.AliasList.1=localhost\n',
'ProfileList.default.HostsList.1.AliasList.2=localhost\n',
'ProfileList.default.HostsList.2.IP=::1\n',
'ProfileList.default.HostsList.2.Hostname=localhost6.localdomain6\n',
'ProfileList.default.HostsList.2.AliasList.1=localhost6\n',
'ProfileList.default.DNS.SecondaryDNS=\n',
'ProfileList.default.DNS.Domainname=\n',
'ProfileList.default.DNS.Hostname=localhost.localdomain\n',
'ProfileList.default.DNS.TertiaryDNS=\n',
'ProfileList.default.DNS.PrimaryDNS=10.10.10.1\n',
'ProfileList.default.Active=True\n', 'ProfileList.default.ProfileName=default\n']
cmdline: ['-i', '-c']
EXPORT: 1
BadUsage: __main__.BadUsage
file: <open file '<stdin>', mode 'r' at 0xb7f27020>
getProfileList: <function getProfileList at 0x958817c>
switch_profile: 0
chroot: None
log: <netconfpkg.log.LogFile instance at 0xb7cc8e4c>
val: 
filename: None
devlistsdict: {'DeviceList': {'_parent': None, '_dead': 0, 'changed': False,
'data_bak': [<netconfpkg.plugins.NCDevEthernet.DevEthernet instance at
0x959fe2c>], '_attributes': {'Device': {'FLAGS': [], 'TYPE': 'LIST', 'NAME':
'Device'}, 'SELF': {'NAME': 'DeviceList', 'PARENT': None, 'install_func':
<function GenClassAList_get_install_funcs at 0xb7c6b374>, 'FLAGS':
['ANONYMOUS'], 'CHILDKEYS': ['Device'], 'TYPE': 'LIST'}}}, 'ProfileList':
[<netconfpkg.genClass.Profile instance at 0x959842c>], 'HardwareList':
[<netconfpkg.plugins.NCHWEthernet.HwEthernet instance at 0x959feec>],
'IPsecList': {'_dead': 0, 'changed': False, '_attributes': {'SELF': {'NAME':
'IPsecList', 'PARENT': None, 'install_func': <function
GenClassAList_get_install_funcs at 0xb7c6b374>, 'FLAGS': ['ANONYMOUS'],
'CHILDKEYS': ['IPsec'], 'TYPE': 'LIST'}, 'IPsec': {'FLAGS': [], 'TYPE': 'LIST',
'NAME': 'IPsec'}}, '_parent': None, 'oldname': None, 'data_bak': []}}
SWITCH: 3
test: 0
IMPORT: 2
opt: -c
devlists: [{'_parent': None, '_dead': 0, 'changed': False, 'data_bak':
[<netconfpkg.plugins.NCDevEthernet.DevEthernet instance at 0x959fe2c>],
'_attributes': {'Device': {'FLAGS': [], 'TYPE': 'LIST', 'NAME': 'Device'},
'SELF': {'NAME': 'DeviceList', 'PARENT': None, 'install_func': <function
GenClassAList_get_install_funcs at 0xb7c6b374>, 'FLAGS': ['ANONYMOUS'],
'CHILDKEYS': ['Device'], 'TYPE': 'LIST'}}},
[<netconfpkg.plugins.NCHWEthernet.HwEthernet instance at 0x959feec>], {'_dead':
0, 'changed': False, '_attributes': {'SELF': {'NAME': 'IPsecList', 'PARENT':
None, 'install_func': <function GenClassAList_get_install_funcs at 0xb7c6b374>,
'FLAGS': ['ANONYMOUS'], 'CHILDKEYS': ['IPsec'], 'TYPE': 'LIST'}, 'IPsec':
{'FLAGS': [], 'TYPE': 'LIST', 'NAME': 'IPsec'}}, '_parent': None, 'oldname':
None, 'data_bak': []}, [<netconfpkg.genClass.Profile instance at 0x959842c>]]
args: []
progname: system-config-network-cmd
devlist: ProfileList.default.ActiveDevices.1=eth0
ProfileList.default.HostsList.1.IP=127.0.0.1
ProfileList.default.HostsList.1.Hostname=localhost.localdomain
ProfileList.default.HostsList.1.AliasList.1=localhost
ProfileList.default.HostsList.1.AliasList.2=localhost
ProfileList.default.HostsList.2.IP=::1
ProfileList.default.HostsList.2.Hostname=localhost6.localdomain6
ProfileList.default.HostsList.2.AliasList.1=localhost6
ProfileList.default.DNS.SecondaryDNS=
ProfileList.default.DNS.Domainname=
ProfileList.default.DNS.Hostname=localhost.localdomain
ProfileList.default.DNS.TertiaryDNS=
ProfileList.default.DNS.PrimaryDNS=10.10.10.1
ProfileList.default.Active=True
ProfileList.default.ProfileName=default

key: ProfileList.default.HostsList.1.IP
vals: ['default', 'HostsList', '1', 'IP']
getIPsecList: <function getIPsecList at 0xb7b09d14>
line: ProfileList.default.HostsList.1.IP=127.0.0.1
e: 'str' object has no attribute '_parseLine'
clear: 1
getDeviceList: <function getDeviceList at 0xb7b41614>
list: 0
value: 127.0.0.1
mode: 2
debug: None
do_activate: 0
os: <module 'os' from '/usr/lib/python2.5/os.pyc'>
opts: [('-i', ''), ('-c', '')]
[root@localhost ~]# 



Version-Release number of selected component (if applicable):
Component: system-config-network
Version: 1.4.7

How reproducible:


Steps to Reproduce:
1./usr/bin/system-config-network-cmd -e > settings.txt
2./usr/bin/system-config.network-cmd -i -c -f settings.txt
3.or /usr/bin/system-config-network-cmd -c -i < settings.txt
  
Actual results:


Expected results:


Additional info:
Comment 2 Fedora Update System 2008-04-07 10:34:39 EDT
system-config-network-1.5.5-1.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-04-09 01:19:58 EDT
system-config-network-1.5.5-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-network'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2995
Comment 4 Fedora Update System 2008-04-22 18:38:45 EDT
system-config-network-1.5.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.